Subject: Mystery abbrevations in draft 9

From: Walter Underwood <[email-masked]>
Date: Wed, 06 Jul 2005 09:56:53 -0700

In 4.2.6 atom:id, the last sentence is:

    o Ensure that all components of the IRI are appropriately character-
      normalized, e.g. by using NFC or NFKC.

"NFC" and "NFKC" need to be defined, with a reference to the Unicode spec.

wunder
--
Walter Underwood
Principal Architect, Verity

---

From: Walter Underwood <[email-masked]>
Date: Wed, 06 Jul 2005 11:24:43 -0700

--On July 6, 2005 11:05:33 AM -0700 Paul Hoffman <[email-masked]> wrote:
> 
> Spelling out the abbreviations as "Unicode Normalization Form C" and "Unicode
> Normalization Form KC" is fine; referencing them is *not*. A reference to the
> Unicode Standard inherently points to a particular version, and the tables used
> for NFC and NFKC change from version to version.

XML already has normative references to Unicode, so we can't exactly
avoid those without dropping XML.

Of course, the correct choice of normalization rules for atom:id is not
the ones from the XML spec, but the IRI rules from RFC 3987.

We really could have two sets of "standard" normalization rules in 
one document, one for XML and one for atom:id URIs, so I think it
is worth pointing to RFC 3987 for indirect references to NFC/NFKC.
Without clarification, this is a legitimate chance for confusion.

wunder